LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XLayerContentDescriber Interface Reference

describe the contents of a layer to an XLayerHandler object. More...

`import"XLayerContentDescriber.idl";`

Inheritance diagram for XLayerContentDescriber:

## Public Member Functions
void | describeLayer ([in] XLayerHandler aHandler, [in] sequence< PropertyInfo > aPropertyInfos) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| describes the contents of the layer to an XLayerHandler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describe the contents of a layer to an XLayerHandler object.

The contents of the layer is contained in the sequence of PropertyInfo structures

See also
  PropertyInfo

## Member Function Documentation

## ◆ describeLayer()

void describeLayer | ( | [in] XLayerHandler | aHandler,
|  | [in] sequence< PropertyInfo > | aPropertyInfos
| ) |  |
raises | ( | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::WrappedTargetException,
|  | MalformedDataException
| ) |  |

describes the contents of the layer to an XLayerHandler.

Parameters

  aHandler | Handler object that will receive calls describing the contents of the layer
  aPropertyInfos | sequence of PropertyInfo structs contained all required property information

Exceptions

  com::sun::star::lang::NullPointerException | if a `NULL` handler is passed.
  com::sun::star::configuration::backend::MalformedDataException | if the data read from the layer is rejected as invalid by the XLayerHandler.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XLayerContentDescriber.idl